This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1008397 - RFE: Anaconda should mirror the UI for right-to-left languages like Arabic
RFE: Anaconda should mirror the UI for right-to-left languages like Arabic
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 06:08 EDT by Mike FABIAN
Modified: 2013-09-21 16:05 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-20.18-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 16:05:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-comparing-russian-and-arabic-ui-no-mirroring-is-done-for-arabic.png (153.72 KB, image/png)
2013-09-16 06:08 EDT, Mike FABIAN
no flags Details
gedit-comparision-english-arabic.png (51.41 KB, image/png)
2013-09-16 06:14 EDT, Mike FABIAN
no flags Details
gimp-comparison-english-arabic.png (145.44 KB, image/png)
2013-09-16 06:21 EDT, Mike FABIAN
no flags Details
typing-root-password-in-arabic-in-anaconda.png (42.06 KB, image/png)
2013-09-16 06:48 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-09-16 06:08:41 EDT
Created attachment 798202 [details]
anaconda-comparing-russian-and-arabic-ui-no-mirroring-is-done-for-arabic.png

GTK applications like gedit, gimp, ... mirror the UI when
running in a locale of a language using a right-to-left script.

Anaconda does not. It should.

(Tested with Fedora-20-Alpha-x86_64-netinst.iso).
Comment 1 Mike FABIAN 2013-09-16 06:14:03 EDT
Created attachment 798203 [details]
gedit-comparision-english-arabic.png

gedit screenshots in English and Arabic.

Shows that gedit mirrors when run in Arabic locale.

LC_ALL=ar_EG.UTF-8 gedit 

mirrors the UI,

LC_ALL=en_US.UTF-8 gedit

show the "normal" UI.
Comment 2 Mike FABIAN 2013-09-16 06:21:17 EDT
Created attachment 798205 [details]
gimp-comparison-english-arabic.png

Screenshot comparing

LANG=en_US.UTF-8 gimp

and

LANG=ar_EG.UTF-8 gimp

The UI is mirrored in Arabic.
Comment 3 Mike FABIAN 2013-09-16 06:48:13 EDT
Created attachment 798219 [details]
typing-root-password-in-arabic-in-anaconda.png

Another screenshot when typing the root password in
an Arabic installation in anaconda.

One can see the the labels for the password entry fields
have colons (:) on the left side, which looks completely
wrong when the entry fields are to the right of these labels.

This would also be fixed by mirroring the UI, then the entry
fields would be correctly to the left of the labels.
Comment 4 Vratislav Podzimek 2013-09-17 03:50:14 EDT
Patches sent to anaconda-patches.
Comment 5 Fedora Update System 2013-09-18 11:46:30 EDT
anaconda-20.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.18-1.fc20
Comment 6 Fedora Update System 2013-09-18 13:44:01 EDT
Package anaconda-20.18-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.18-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17065/anaconda-20.18-1.fc20
then log in and leave karma (feedback).
Comment 7 Mike FABIAN 2013-09-19 02:55:21 EDT
Nice, I see it in Fedora 20 Alpha RC4 already!
Comment 8 Fedora Update System 2013-09-21 16:05:09 EDT
anaconda-20.18-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.